Subject: Bugs

From: [email-masked] (Martin R. Olah)
Date: 1 Aug 1995 20:36:09 GMT

>My daughter is curious about the peoples of the world whose diets
>include insects and such. Can anyone in this newsgroup provide me with
>the name of a source for such information?

I don't have the address handy, but the entomolgy dept. at the University
of Wisconsin Madison puts out The Food Insect Newsletter.
-------------------------------------------------------------------------------
O Martin                   | "That is not dead which can eternal lie, And
[email-masked] |  with strange aeons even death may die. -Lovecraft